:root {
	--tone0: #e8eaea;
	--tone1: #d9dbde;
	--tone2: #c6cccd;
	--tone3: #6c7683;
	--tone4: #212731;
	--tone5: #0a1114;

	--accent: #2e6e90;

	background-color: #fff;
	color: var(--tone4);
}

body {
	display: flex;
	font-size: 1em;
	padding: 0px;
	margin: 0px;
	flex-flow: row-reverse nowrap;
	justify-content: space-between;
	width: 100vw;
	height: 100vh;
	background-color: var(--tone3);
}

h2 {
	color: var(--tone4);
	font-size: 1.4em;
	padding: 0.5em;
	margin: 0px;
	border-bottom: 2px solid var(--tone3);
}

.panel {
	box-shadow: 0px 0px 0.5em var(--tone4);
	background: var(--tone1);
	border-left: 2px solid var(--tone3);
}

form {
	padding: 0.5em;
	gap: 0.2em;
	display: flex;
	flex-direction: column;
	/*border-left: 2px solid var(--tone3);*/

}

label {
	font-size: 1em;
	padding: 0.1em;
	background: var(--tone2);
	display: flex;
	vertical-align: middle;
	align-items: center;
	gap: 0.2em;
	justify-content: flex-end;
}

a {
	font-family: monospace;
	font-size: 1.2em;
	color: var(--accent);
	padding: 1em;
}

input {
	font-size: 1em;
}

label input {
	width: 6em;
}

input[type="submit"] {
	margin-top: 0.2em;
}

model-viewer {
	color: var(--accent);
	width: 100%;
	height: 100%;
}

iframe {
	width: 100%;
	border: none;
}

